---
title: "Release Funds from Escrow"
source_url: https://docs.rapyd.net/en/release-funds-from-escrow.html
lang: en
---

# Release Funds from Escrow

Release funds from escrow to the designated Rapyd wallet.

The status of the escrow must be **on_hold** or **released**. When the funds are transferred into escrow via partial payments, this method releases funds currently in the escrow. This method transfers funds from **received balance** to **available balance**.

### Parameters

### Request Path Parameters

- - payment
  - ID of the payment. String starting with **payment_**.
- - escrow
  - ID of the escrow. String starting with **escrow_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - ewallets
  - Describes the wallets and the releases from escrow.

    - - ewallet
      - ID of the wallet, a string starting with **ewallet_**.
    - - amount
      - The amount to release to this wallet. Relevant when `percentage` is not set.
    - - percentage
      - The percentage of this escrow to release to this wallet. Relevant when `amount` is not set. On a partial release after the first, this refers to the percentage of the original amount of the escrow.

### Response Parameters

- - amount_on_hold
  - Total amount of funds that are currently held in the escrow, in the currency defined in `currency_code` in the payment.
- - created_at
  - Date and time the escrow was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - currency
  - The currency of the escrow balance. Three-letter ISO 4217 code.
- - escrow_releases
  - Array of objects that describe individual releases.

    - - data
      - Array of objects that describe individual escrow releases.

        - - amount
          - The amount released.
        - - created_at
          - Date and time the escrow release was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
        - - currency
          - The currency of the escrow balance. Three-letter ISO 4217 code.
        - - ewallets
          - Array of objects that define a non-proportional release to multiple wallets.

            - - ewallet
              - ID of the wallet, a string starting with **ewallet_**.
            - - amount
              - The amount to release to this wallet. Relevant when `percentage` is not set.
            - - percentage
              - The percentage of this escrow to release to this wallet. Relevant when `amount` is not set. On a partial release after the first, this refers to the percentage of the original amount of the escrow.
        - - id
          - ID of the escrow release, a string starting with **er_**.
        - - proportional_release
          - Indicates that the wallets were released in the same proportion that was defined in the [Create Payment](https://docs.rapyd.net/en/create-payment.md "Create Payment") request.
        - - trigger
          - Indicates what triggered the escrow release. One of the following:

            - **event** - Funds were released due to an API request.
            - **time** - Funds were automatically released at 5:00 p.m. GMT (17:00 GMT) on the day indicated in the[Create Payment](https://docs.rapyd.net/en/create-payment.md "Create Payment") request.
            - **cancel_escrow** - Escrow was canceled.
    - - has_more
      - Indicates that the number of escrow releases is greater than the number returned in the response.
    - - total_count
      - Number of escrow releases.
    - - url
      - URL for the record of all escrow releases for this payment.
- - id
  - ID of the escrow, a string starting with **escrow_**.
- - last_payment_completion
  - Date and time of the completion of the last payment or partial payment, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - payment
  - ID of the payment, a string starting with **payment_**.
- - status
  - Status of the escrow. One of the following:

    - **pending** - The payment and escrow were created, but the payment is not completed and the funds are not in the escrow.
    - **on_hold** - The payment is completed and the funds are in escrow.
    - **canceled** - The escrow is canceled.
    - **released** - All or part of the funds have been released to the wallets.
- - total_amount_released
  - Total amount of funds that were released to the wallets, in the currency defined in `currency_code` in the payment response.
- - updated_at
  - Date and time of the last update to the escrow, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string payment = "payment_414360121003a3c3bdaf4f3cb1d9a1f8";
                      string escrow = "escrow_006fa9200fd7436a74b75fac963fadcf";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("POST", $"/v1/payments/{payment}/escrows/{escrow}/escrow_releases");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'POST',
            '/v1/payments/payment_b8f1f3c75eb74fc318daa89418f6c8e9/escrows/escrow_8484400128afa6aa8b31297088e81f45/escrow_releases'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('post', "/v1/payments/payment_a813e2bac82bad744b98defa727f7e3c/escrows/escrow_f3c4db8e23bde2973704a7f9f32baabb/escrow_releases");
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      payment = "payment_35544ff0d05c578c87ad171f2dd2ba6e"
      escrow = "escrow_71193eec47ff06ce000e0c4423cbb68d"

      response = make_request(method='post',
                              path=f'/v1/payments/{payment}/escrows/{escrow}/escrow_releases')
      pprint(response)
      ```

- /v1/payments/:payment/escrows/:escrow/escrow_releases

- Release Funds from Escrow
- ```curl
  curl -X post  'https://sandboxapi.rapyd.net/v1/payments/payment_d5b0f1498f1759ca1fe88a62f056cebd/escrows/escrow_77dd73b811709e0c5685319e21412768/escrow_releases' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw: ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "8dc1f08f-9e00-4c4e-b644-bc9d1cd63eae"
      },
      "data": {
          "id": "escrow_77dd73b811709e0c5685319e21412768",
          "payment": "payment_d5b0f1498f1759ca1fe88a62f056cebd",
          "currency": "EUR",
          "amount_on_hold": 0,
          "total_amount_released": 45.67,
          "status": "released",
          "escrow_release_days": null,
          "escrow_releases": {
              "data": [
                  {
                      "id": "er_b3f5615edd6a5e1a99e17a4ddc6513e4",
                      "amount": 45.67,
                      "trigger": "event",
                      "proportional_release": true,
                      "ewallets": [
                          {
                              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                              "amount": 45.67
                          }
                      ],
                      "created_at": 1764677988,
                      "currency": "EUR"
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/payments/payment_d5b0f1498f1759ca1fe88a62f056cebd/escrows/escrow_77dd73b811709e0c5685319e21412768/escrow_releases"
          },
          "created_at": 1764677899,
          "updated_at": 1764677988,
          "last_payment_completion": 1764677899
      }
  }
  ```

- Release Funds from Escrow - Multiple Wallets
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payments/payment_a228c55dfedc4222fec8a27d9819fa38/escrows/escrow_22ee32a498b93f1d51c96850ec6c87fe/escrow_releases' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "ewallets": [
          {
              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
              "amount": 20
          },
          {
              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "amount": 25.67
          }
      ]
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "817b8200-66b9-4423-a1f5-0314e770ba03"
      },
      "data": {
          "id": "escrow_22ee32a498b93f1d51c96850ec6c87fe",
          "payment": "payment_a228c55dfedc4222fec8a27d9819fa38",
          "currency": "EUR",
          "amount_on_hold": 0,
          "total_amount_released": 45.67,
          "status": "released",
          "escrow_release_days": null,
          "escrow_releases": {
              "data": [
                  {
                      "id": "er_54e1aae2e0419ad23e7f194129d640c7",
                      "amount": 45.67,
                      "trigger": "event",
                      "proportional_release": false,
                      "ewallets": [
                          {
                              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                              "amount": 20
                          },
                          {
                              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                              "amount": 25.67
                          }
                      ],
                      "created_at": 1764678424,
                      "currency": "EUR"
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/payments/payment_a228c55dfedc4222fec8a27d9819fa38/escrows/escrow_22ee32a498b93f1d51c96850ec6c87fe/escrow_releases"
          },
          "created_at": 1764678299,
          "updated_at": 1764678424,
          "last_payment_completion": 1764678300
      }
  }
  ```

- Release Funds from Escrow - Multiple Wallets by Percentage
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payments/payment_c8081aa4bb8e1f2a79d27700060b641b/escrows/escrow_e24228224255e3f2633e1222c90b29b3/escrow_releases' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "ewallets": [
          {
              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
              "amount": 20
          },
          {
              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "amount": 25.67
          }
      ]
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "e20f4cb9-fb57-41ec-91d9-e38aded9841d"
      },
      "data": {
          "id": "escrow_e24228224255e3f2633e1222c90b29b3",
          "payment": "payment_c8081aa4bb8e1f2a79d27700060b641b",
          "currency": "EUR",
          "amount_on_hold": 0,
          "total_amount_released": 100,
          "status": "released",
          "escrow_release_days": null,
          "escrow_releases": {
              "data": [
                  {
                      "id": "er_71239ab7b86a63cbb9efb9a310503ff7",
                      "amount": 100,
                      "trigger": "event",
                      "proportional_release": true,
                      "ewallets": [
                          {
                              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                              "amount": 20
                          },
                          {
                              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                              "amount": 80
                          }
                      ],
                      "created_at": 1764678826,
                      "currency": "EUR"
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/payments/payment_c8081aa4bb8e1f2a79d27700060b641b/escrows/escrow_e24228224255e3f2633e1222c90b29b3/escrow_releases"
          },
          "created_at": 1764678753,
          "updated_at": 1764678826,
          "last_payment_completion": 1764678753
      }
  }
  ```

- Release Funds from Escrow - Multiple Wallets by Amount
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payments/payment_750aa3d01a31d10fa515436b56eb1709/escrows/escrow_fdd4484a8de6c67827c239d0f37c8853/escrow_releases' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "ewallets": [
          {
              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
              "amount": 5
          },
          {
              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "amount": 5
          }
      ]
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "ec3bcb8f-121c-4814-ac5f-4620c0e858c8"
      },
      "data": {
          "id": "escrow_fdd4484a8de6c67827c239d0f37c8853",
          "payment": "payment_750aa3d01a31d10fa515436b56eb1709",
          "currency": "EUR",
          "amount_on_hold": 90,
          "total_amount_released": 10,
          "status": "released",
          "escrow_release_days": null,
          "escrow_releases": {
              "data": [
                  {
                      "id": "er_d7c78d55d2f5bc35e53121a2a366869f",
                      "amount": 10,
                      "trigger": "event",
                      "proportional_release": false,
                      "ewallets": [
                          {
                              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                              "amount": 5
                          },
                          {
                              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                              "amount": 5
                          }
                      ],
                      "created_at": 1764679073,
                      "currency": "EUR"
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/payments/payment_750aa3d01a31d10fa515436b56eb1709/escrows/escrow_fdd4484a8de6c67827c239d0f37c8853/escrow_releases"
          },
          "created_at": 1764679011,
          "updated_at": 1764679073,
          "last_payment_completion": 1764679011
      }
  }
  ```

- Release Funds from Escrow - One Wallet of Multiple Wallets
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payments/payment_750aa3d01a31d10fa515436b56eb1709/escrows/escrow_fdd4484a8de6c67827c239d0f37c8853/escrow_releases' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "ewallets": [
          {
              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "amount": 5
          }
      ]
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "ebe4a8b6-665e-47b9-a060-3fd7a0cdeb6f"
      },
      "data": {
          "id": "escrow_fdd4484a8de6c67827c239d0f37c8853",
          "payment": "payment_750aa3d01a31d10fa515436b56eb1709",
          "currency": "EUR",
          "amount_on_hold": 78,
          "total_amount_released": 22,
          "status": "released",
          "escrow_release_days": null,
          "escrow_releases": {
              "data": [
                  {
                      "id": "er_d7c78d55d2f5bc35e53121a2a366869f",
                      "amount": 10,
                      "trigger": "event",
                      "proportional_release": false,
                      "ewallets": [
                          {
                              "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                              "amount": 5
                          },
                          {
                              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                              "amount": 5
                          }
                      ],
                      "created_at": 1764679073,
                      "currency": "EUR"
                  },
                  {
                      "id": "er_96a0c8812175f3605da45db7cca6f870",
                      "amount": 12,
                      "trigger": "event",
                      "proportional_release": false,
                      "ewallets": [
                          {
                              "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                              "amount": 12
                          }
                      ],
                      "created_at": 1764679208,
                      "currency": "EUR"
                  }
              ],
              "has_more": false,
              "total_count": 2,
              "url": "/v1/payments/payment_750aa3d01a31d10fa515436b56eb1709/escrows/escrow_fdd4484a8de6c67827c239d0f37c8853/escrow_releases"
          },
          "created_at": 1764679011,
          "updated_at": 1764679208,
          "last_payment_completion": 1764679011
      }
  }
  ```
